> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get daily net flow by protocol

> Returns per-asset net transfer amounts for an interchain message protocol (e.g. `ibc`), aggregated by calendar day in the requested time range.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/network/net-flow-by-protocol
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
  - name: Cross-chain transfers
    description: >-
      Look up cross-chain transfers using either the source or destination
      transaction hash, and explore coverage by protocol and network.
paths:
  /v1/network/net-flow-by-protocol:
    get:
      tags:
        - Network Information
      summary: Get daily net flow by protocol
      description: >-
        Returns per-asset net transfer amounts for an interchain message
        protocol (e.g. `ibc`), aggregated by calendar day in the requested time
        range.
      operationId: getBalancesByProtocol
      parameters:
        - name: protocol
          required: true
          in: query
          description: Network of Address
          schema:
            example: ibc
            type: string
        - name: startTime
          required: true
          in: query
          description: Start time
          schema:
            type: string
            example: '2024-01-01T00:00:00.000Z'
        - name: endTime
          required: true
          in: query
          description: End Time
          schema:
            example: '2024-01-31T23:59:59.999Z'
            type: string
      responses:
        '200':
          description: >-
            Daily net transfer volume per asset for the protocol in the time
            range.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkNetFlowByProtocolResponseDto'
components:
  schemas:
    NetworkNetFlowByProtocolResponseDto:
      type: object
      properties:
        count:
          type: number
          example: 2
          description: Number of day/denom rows in `balances`.
        balances:
          type: array
          items:
            $ref: '#/components/schemas/NetworkNetFlowByDayEntryDto'
      required:
        - count
        - balances
    NetworkNetFlowByDayEntryDto:
      type: object
      properties:
        date:
          type: string
          example: '2024-01-15T00:00:00.000Z'
        denom:
          type: string
          example: uatom
        total_amount:
          type: number
          example: 1250000
        total_usd:
          type: number
          example: 42.5
      required:
        - date
        - denom
        - total_amount
        - total_usd
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.